Qt 5.6 | Qt Core | Obsolete Members for <QtGlobal>

Qt 5.6.2 Reference Documentation

# Obsolete Members for <QtGlobal>

The following members of class <QtGlobal> are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Types

`(obsolete)` typedef | QtMsgHandler

## Functions

`(obsolete)` QtMsgHandler | qInstallMsgHandler(QtMsgHandler handler)

## Macros

`(obsolete)` | QABS(n)
`(obsolete)` | QMAX(x, y)
`(obsolete)` | QMIN(x, y)

## Type Documentation

### typedef QtMsgHandler

This is a typedef for a pointer to a function with the following signature:

      void myMsgHandler(QtMsgType, const char *);

This typedef is deprecated, you should use QtMessageHandler instead.

See also QtMsgType, QtMessageHandler, qInstallMsgHandler(), and qInstallMessageHandler().

## Function Documentation

### QtMsgHandler qInstallMsgHandler(QtMsgHandler handler)

Installs a Qt message handler which has been defined previously. This method is deprecated, use qInstallMessageHandler instead.

See also QtMsgHandler and qInstallMessageHandler().

## Macro Documentation

### QABS(n)

Use qAbs(n) instead.

See also QMIN() and QMAX().

### QMAX(x, y)

Use qMax(x, y) instead.

See also QMIN() and QABS().

### QMIN(x, y)

Use qMin(x, y) instead.

See also QMAX() and QABS().